## com.puppycrawl.tools.checkstyle.checks.javadoc
Class JavadocPackageCheck

    java.lang.Object
      com.puppycrawl.tools.checkstyle.api.AutomaticBean
          com.puppycrawl.tools.checkstyle.api.AbstractViolationReporter
              com.puppycrawl.tools.checkstyle.api.AbstractFileSetCheck
                  com.puppycrawl.tools.checkstyle.checks.javadoc.JavadocPackageCheck

All Implemented Interfaces:
  Configurable, Contextualizable, FileSetCheck

    public class JavadocPackageCheck

extends AbstractFileSetCheck

Checks that all packages have a package documentation. See the documentation for more information.

Author:
  Oliver Burn

Constructor Summary
`JavadocPackageCheck()` Creates a new instance.

Method Summary
`void` `beginProcessing(String aCharset)` Called when about to be called to process a set of files.
`protected void` `processFiltered(File aFile, List<String> aLines)` Called to process a file that matches the specified file extensions.
`void` `setAllowLegacy(boolean aAllowLegacy)` Indicates whether to allow support for the legacy package.html file.

Methods inherited from class com.puppycrawl.tools.checkstyle.api.AbstractFileSetCheck
`destroy, finishProcessing, fireErrors, getMessageCollector, getMessageDispatcher, init, log, log, process, setFileExtensions, setMessageDispatcher`

Methods inherited from class com.puppycrawl.tools.checkstyle.api.AbstractViolationReporter
`getCustomMessages, getId, getMessageBundle, getSeverity, getSeverityLevel, log, setId, setSeverity`

Methods inherited from class com.puppycrawl.tools.checkstyle.api.AutomaticBean
`configure, contextualize, finishLocalSetup, getConfiguration, setupChild`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.puppycrawl.tools.checkstyle.api.Configurable
`configure`

Methods inherited from interface com.puppycrawl.tools.checkstyle.api.Contextualizable
`contextualize`

Constructor Detail

### JavadocPackageCheck

    public JavadocPackageCheck()

  Creates a new instance.

Method Detail

### beginProcessing

    public void beginProcessing(String aCharset)

  Description copied from class: `AbstractFileSetCheck`
  Called when about to be called to process a set of files.

  Specified by:
    `beginProcessing` in interface `FileSetCheck`
  Overrides:
    `beginProcessing` in class `AbstractFileSetCheck`
  Parameters:
    `aCharset` - the character set used to read the files.

### processFiltered

    protected void processFiltered(File aFile,
                                   List<String> aLines)

  Description copied from class: `AbstractFileSetCheck`
  Called to process a file that matches the specified file extensions.

  Specified by:
    `processFiltered` in class `AbstractFileSetCheck`
  Parameters:
    `aFile` - the file to be processed
    `aLines` - an immutable list of the contents of the file.

### setAllowLegacy

    public void setAllowLegacy(boolean aAllowLegacy)

  Indicates whether to allow support for the legacy package.html file.

  Parameters:
    `aAllowLegacy` - whether to allow support.

Copyright © 2001-2011. All Rights Reserved.